commit 53d481d00ae9c95680ebfa15d6c90c68bdbbc69f
Author: Ondrej Holy <oholy@redhat.com>
Date:   2015-08-20

    Update NEWS for 1.24.2 release

M	NEWS

commit 404f3ea1231551d1784ef419db18510c88cbe798
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-06-18

    udisks2: Prevent race between unmount reply and retry timer

    Currently it is possible for the unmount op reply and the retry
    unmount
    timer to race. A udisks2 unmount operation (or umount spawned command)
    is started via the timer. In the meantime, a "cancel" or "force
    unmount"
    reply is received which completes the gvfs unmount operation and frees
    the private data. When the udisks2 unmount operation started by the
    timer completes, it tries to use the freed data and segfaults.

    To fix this, prevent starting an unmount operation when another is
    already in progress.  If a timer callback is received while an unmount
    operation is in progress, simply ignore it.  If an unmount op reply is
    received while an unmount operation is in progress, store the
    result of
    the reply and handle it once the unmount operation has completed.

    https://bugzilla.gnome.org/show_bug.cgi?id=678555

M	monitor/udisks2/gvfsudisks2mount.c

commit 5162da088e7fdcaa9993167e3071c1e40105546a
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-06-22

    udisks2: Handle libsecret error properly

    secret_password_clear_finish() returns whether any passwords are
    removed, so it may return FALSE without setting error. Handle this
    properly (in this case all we care about is that there wasn't
    an error).

    https://bugzilla.gnome.org/show_bug.cgi?id=751038

M	monitor/udisks2/gvfsudisks2volume.c

commit c758ab5dd62935ea6449fea683ee9280a53c5e38
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-07-14

    archive: Handle ARCHIVE_FAILED error

    Archive backend is stucked in endless loop currently e.g. if you
    try to
    mount encrypted zip file. It is caused because ARCHIVE_FAILED error is
    not handled, when reading data from the archive.

    ARCHIVE_FAILED is handled with this patch. Mount job doesn't fail,
    just
    because of unknown file size, but open_for_read job fails if
    ARCHIVE_FAILED is returned.

    https://bugzilla.gnome.org/show_bug.cgi?id=752366

M	daemon/gvfsbackendarchive.c

commit 8d812d6acb887f6da6bbe62e09285b08e2525d34
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-07-29

    Updated Portuguese translation

M	po/pt.po

commit 5740ee6860342c37b4967d529271d0851400567f
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:	2015-07-01

    afc: Cleanup force-unmount idle on finalize

    When GvfsBackendAfc is finalized, if we have a pending idle for
    a force
    unmount, we need to remove it as by the time it runs, the
    GvfsBackendAfc
    it's acting on will no longer be valid.

    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=751537 which can
    be reproduced by plugging an iDevice, unmounting it in Nautilus, and
    quickly unplugging it right after clicking on the eject icon.

M	daemon/gvfsbackendafc.c

commit 6bfecb830c98f7398a748c311fc97e986f97c668
Author: Jonas Kümmerlin <rgcjonas@gmail.com>
Date:	2015-06-23

    cdda: Fix CD-TEXT charset when building with libcdio >= 0.84

    libcdio 0.84 already returns UTF-8 data. Trying to interpret it
    as ISO-8859-1 won't lead to pretty results, so we better stop
    doing that.

    https://bugzilla.gnome.org/show_bug.cgi?id=751389

M	daemon/gvfsbackendcdda.c

commit 012144af891084885a49ca6a1d97aa15492be08a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-06-23

    Updated Polish translation

M	po/pl.po

commit 9297474c33192fe210f0cbc9ffc349f19604516a
Author: Ray Strode <rstrode@redhat.com>
Date:	2015-05-20

    gvfs-open: add hack to close up dbus-daemon race

    If gvfs-open exits before the program it starts fully activates, then
    the dbus-daemon may avoid doing the activating method call.

    This commit works around the problem by pinging the activated
    application,
    and waiting for a reply.

    https://bugzilla.gnome.org/show_bug.cgi?id=746534

M	programs/gvfs-open.c

commit 676ba166c0b7c69e65bce7f1ec5e38ac36ad33c8
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-06-01

    monitor: Show notification always when device is unmounted

    Unmount progress is shown only when unmount takes more then 1.5
    seconds.
    However the progress should be shown everytime when unmount is
    finished
    for users to be sure it is safe to remove device.

    https://bugzilla.gnome.org/show_bug.cgi?id=750267

M	monitor/udisks2/gvfsudisks2utils.c

commit 81a4d39e4aaf61dd3f9f2f1390e1fdaceb3eb91c
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-05-24

    mtp: Copy mtime when pulling

    Copy the modification timestamp after copying a file from the device.
    Normally, this would be done in the copy fallback path, but if
    pull() is
    implemented, it must also copy metadata.

    https://bugzilla.gnome.org/show_bug.cgi?id=749788

M	daemon/gvfsbackendmtp.c

commit 98c3b3ce6f1261d3198a07b7f90644d6cb417556
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-05-19

    gvfs-open: Do not alter uris before use

    Uri is altered before g_app_info_launch_default_for_uri, because of
    the following code (from the commit 95aac17):

    file = g_file_new_for_commandline_arg (location[i])
    uri = g_file_get_uri (file);

    Examples of uri changes:

    mailto:email -> mailto:///email
    ssh://user@host -> sftp://user@host/

    This patch cause that uri isn't preprocessed for locations with scheme
    (however absolute and relative paths are still preprocessed).

    https://bugzilla.gnome.org/show_bug.cgi?id=738690

M	programs/gvfs-open.c

commit 6e25bce1f6aced4641659483a2aa16f015b59452
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	2015-05-21

    Added Occitan translation

M	po/LINGUAS
A	po/oc.po

commit 725eaa2e33a842f812caf59af8a8766461bf9512
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-05-17

    mtp: Refresh storage information in query_info

    Get the storage information from the device in query_info() and
    query_fs_info() so that the disk space numbers are
    correct. Previously,
    if you deleted an item and checked the free space, it would not have
    changed.

    https://bugzilla.gnome.org/show_bug.cgi?id=749491

M	daemon/gvfsbackendmtp.c

commit 13aafd9f3518c9d39b4b7e25558fa19d899af221
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-04-13

    Post release version bump

M	configure.ac

commit 3a84585f2f8ebcdbc212bfae4b7dc61da1927455
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-04-13

    Update NEWS for 1.24.1 release

M	NEWS

commit 362d4e53b638a15dcd048d531a5efe5e427e7378
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2015-04-03

    Updated Latvian translation

M	po/lv.po

commit 06677b95fddcd7973d296ff596031d7b9d890762
Author: David Liang <liangchenye@gmail.com>
Date:	2015-04-02

    hal: Fix a memory leak in hal-volume-monitor.

    https://bugzilla.gnome.org/show_bug.cgi?id=747221

M	monitor/hal/ghalvolumemonitor.c

commit 32377d138d4d28f5da5ed0935d4b90fa2647c1ec
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:	2015-02-05

    Fix build error when using HAL backend

    gvfsdbusutils.[ch] are renamed to gvfshalutils.[ch] to prevent
    confusion.

    https://bugzilla.gnome.org/show_bug.cgi?id=722411

M	common/Makefile.am
R099	monitor/hal/gvfsdbusutils.c	common/gvfshalutils.c
R100	monitor/hal/gvfsdbusutils.h	common/gvfshalutils.h
M	daemon/Makefile.am
M	monitor/gphoto2/Makefile.am
M	monitor/gphoto2/hal-pool.c
M	monitor/hal/Makefile.am
M	monitor/hal/hal-pool.c

commit 05e83e5325e64327c514ced2b5995828eadb1cf3
Author: Stas Solovey <whats_up@tut.by>
Date:	2015-03-30

    Updated Russian translation

M	po/ru.po

commit 17c06773d6031ca17db874efe5e5bebfcfde94fa
Author: Petr Kovar <pkovar@redhat.com>
Date:	2015-03-25

    Update Czech translation

M	po/cs.po

commit 3adb95196a1ec473a597bb65a02f814135da36fe
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-03-23

    Post release version bump

M	configure.ac

commit d4bdfb77e76eb50767eb34371e678dcbeb04357c
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-03-23

    Update NEWS for 1.24.0 release

M	NEWS

commit 0363876b3d69564641dbf2c521808f601012909c
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2015-03-21

    Updated Danish translation

M	po/da.po

commit e3adcf2a5d42a24599af710a5f964f3ca6691757
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2015-03-21

    Updated Basque language

M	po/eu.po

commit bfe2251b68d5a1a709085a52f41746cdbb2df024
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2015-03-21

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 6fb6c9c39ea328e738acc501068ef6b39660b8fd
Author: Andika Triwidada <andika@gmail.com>
Date:	2015-03-21

    Updated Indonesian translation

M	po/id.po

commit e5e826b85141e03e83f56708c5b24d81a7f82f2c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2015-03-19

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 9caf2227a2d710aad3ac7ffb6307bc4ca543c06e
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-03-19

    proxy volume monitor: Drop init warning

    This caused make to fail e.g. in libgweather:

    (g-ir-compiler:11785): GVFS-RemoteVolumeMonitor-WARNING **: Error:
    The connection is closed
    kernel: traps: g-ir-compiler[4216] trap int3 ip:7f76f9fa2663
    sp:7fff1e6a2d90 error:0
    With gvfs-1.22.3 no error's

    https://bugzilla.gnome.org/show_bug.cgi?id=746398

M	monitor/proxy/gproxyvolumemonitor.c

commit e104ee2f5109405f8eca1005cc3e4e666a29f50b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2015-03-18

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 6917fa915ac41c1a06682c332a3d2377ae949c32
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:	2015-03-18

    Updated Galician translations

M	po/gl.po

commit 5a17ff7c58eaca23ace84d9aad0bcf094a3d93bd
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2015-03-17

    Updated Hebrew translation

M	po/he.po

commit 22350a3a94c6442fd0e6103396cc57e6ec1060f5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-03-16

    Updated Spanish translation

M	po/es.po

commit 1711336d0a2e4f68172d9265d097d00e50b5692a
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-03-16

    Post release version bump

M	configure.ac

commit e5c394af1f7cd14b89e2e50c69eaa74c21a0da0e
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-03-16

    Update NEWS and version for 1.23.92 release

M	NEWS
M	configure.ac

commit 62c4c2af399dba0566ae69353f127472fa3e3364
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-03-16

    completion: Fix parallel installation

    Use install-data-hook rather than install-data-local as
    install-data-hook runs after the other install rules have run.
    This is
    important for a parallel install so that the destination directory
    already exists when the symlinks are created.

M	programs/completion/Makefile.am

commit 2f119019a01cc9543def7a7e03f93e7a7cf6ca09
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	2015-03-15

    Updated French translation

M	po/fr.po

commit 5326de143e5376beb20e1d205a49ab31fe15840f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2015-03-15

    Updated Slovenian translation

M	po/sl.po

commit 36940ca2c37467eb063ad77b953a8441129d295f
Author: Josef Andersson <josef.andersson@gmail.com>
Date:	2015-03-15

    Updated Swedish translation

M	po/sv.po

commit a09ffe21ba89f8016e3c31e7a98b141e0af31f63
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2015-03-15

    Updated Slovenian translation

M	po/sl.po

commit f3e0aa02ba81fcc22ebbba5bf1e6abd514a42abf
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2015-03-14

    Updated Hungarian translation

M	po/hu.po

commit 0bb82422138f717cc93a7ae7519bde55e9e392ec
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2015-03-14

    Updated Lithuanian translation

M	po/lt.po

commit a4c4ae6006cecc2bfe1519a669d4e15ff856e82f
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-03-08

    dnssd: Run GSimpleAsyncResult completion in idle

    g_simple_async_result_complete should only be used from the thread on
    which the callback should be invoked.  Also, the gvfs job threads
    do not
    have their own GMainContexts which causes an assertion failure
    [1] when
    invoking g_simple_async_result_complete.  Instead, use
    g_simple_async_result_complete_in_idle().

    [1] (process:11772): GLib-CRITICAL **:
    g_main_context_push_thread_default: assertion 'acquired_context'
    failed

    https://bugzilla.gnome.org/show_bug.cgi?id=629345

M	common/gvfsdnssdresolver.c

commit b534d043a71e33d109ef867863b78b5036a0ba8c
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-03-08

    dnssd: Remove recursive main loop

    Don't run a recursive main loop on a separate thread with a shared
    GMainContext.

    https://bugzilla.gnome.org/show_bug.cgi?id=629345

M	common/gvfsdnssdresolver.c

commit 3384af829c31b36e8b5ead87427ef6a61b89f11d
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-03-08

    dnssd: Prevent crash when resolving service

    AvahiClient appears to require that avahi_service_resolver_new is
    invoked from the same thread to which its poll function is bound
    otherwise it can crash with a callback running while
    avahi_service_resolver_new is still busy.

    To fix this, always run avahi_service_resolver_new from the main loop.
    To simplify the code, any errors from the function are ignored
    for now.

    This crash could be reproduced 100% of the time by trying to mount
    dav+sd (via gnome-user-share) in a single-CPU VM.

    https://bugzilla.gnome.org/show_bug.cgi?id=629345

M	common/gvfsdnssdresolver.c

commit 9529a224a19d75897b3eef3a238e4ddf89045258
Author: A S Alam <aalam@users.sf.net>
Date:	2015-03-13

    Translation pa updated for Gnome

M	po/pa.po

commit 63a5dc682580af66ceeb1dc8678e2be340bc99bd
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2015-03-14

    Updated Korean translation

M	po/ko.po

commit 35431754a10736529e1cd523aa1a5205fb5234d3
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:	2015-03-13

    Added Bosnian translation

M	po/LINGUAS
A	po/bs.po

commit 5fb35af6c19981f5df5b51baea4ce1667bd32501
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2015-03-13

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit f99b6b7dd9d60966637b598dbd70ef0d9192d97d
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2015-03-13

    Updated Italian translation

M	po/it.po

commit 4a2708b5cede1a5a56f294e2c11fb7fc7bad2129
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-03-12

    Updated Greek translation

M	po/el.po

commit 6a3329332b2099dcd6e42d3f5a8e59020d976f5d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-03-12

    Updated Polish translation

M	po/pl.po

commit aa57c72d16769eda1919372e53554fd08c9d189c
Author: Marek Černocký <marek@manet.cz>
Date:	2015-03-12

    Updated Czech translation

M	po/cs.po

commit 24717de9a75bb9214d3b3efe3c3aaeddce3025a3
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-03-12

    Updated Slovak translation

M	po/sk.po

commit 38dc516de30252859b737b657e05169c8e9c2ccc
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2015-03-12

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit d603ba4983d249349e7384f31fd2ed921e65e869
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-03-01

    ftp: Prevent segfault when unmounting

    If a job is waiting for a connection in
    g_vfs_ftp_task_acquire_connection and the backend is force unmounted,
    the queue is freed, and the function neither gets a connection nor
    sets an error message which causes an issue later.

    To fix this, set an error message if the queue is freed.

    https://bugzilla.gnome.org/show_bug.cgi?id=653042

M	daemon/gvfsftptask.c

commit c0bd3138a60b2a389ac99540ac3bfecb700ef0ff
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-03-08

    common: Increase mount timeout to 30 minutes

    Although it is probably unnecessary, wait up to 30 minutes for a mount
    to complete.  This allows plenty of time to wait for a password
    dialog.
    It also makes it more consistent with many of the other operations
    which
    use a timeout of 30 minutes.

    https://bugzilla.gnome.org/show_bug.cgi?id=594500

M	client/gdaemonmount.c
M	common/gmountsource.c
M	common/gvfsdaemonprotocol.h

commit f7f18bb6e7576672c2240c8ead8dfa4a2668d478
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-03-10

    metadata: don't crash if tree write out failed

    meta_tree_init can fail after we failed to write out an updated tree.
    Backup corrupted file and start with empty tree to avoid consequent
    crashes.

    https://bugzilla.gnome.org/show_bug.cgi?id=598561

M	metadata/metatree.c

commit a4f0bf37825378af9042eb6d95aa0d3d2b9df8d4
Author: Bastien Nocera <hadess@hadess.net>
Date:	2013-09-18

    gphoto2: Exit cleanly when device is removed

    As the other backends do, and removes 2 FIXMEs.

    https://bugzilla.gnome.org/show_bug.cgi?id=708316

M	daemon/gvfsbackendgphoto2.c

commit 32adf492a9a2ab5cef953cf2dfd9f00c25c785e7
Author: Christophe Fergeau <cfergeau@redhat.com>
Date:	2015-03-09

    afc: Fix force unmount of devices

    When unplugging an afc device without unmounting it first, the
    corresponding gvfsd-afc process does not go away in spite of the
    exit(1) workaround added for bgo#708288.

    This happens because idevice_event_unsubscribe() in called from the
    thread where the _idevice_event_cb() runs in. libimobiledevice
    (through
    libusbmuxd) creates a thread to watch for device events, and calls the
    idevice_event_cb_t from that thread. idevice_event_unsubscribe() then
    forcfully kills that thread (see usbmuxd_unsubscribe() in libusbmuxd),
    so exit(1) code after the call to idevice_event_unsubscribe()
    never gets
    a chance to run.

    Moving the call to idevice_event_unsubscribe() and the
    g_vfs_backend_force_unmount() call to run in the main loop through
    g_idle_add() avoids this issue, and allows the code handling force
    unmounts to run as expected.

    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=708288

M	daemon/gvfsbackendafc.c

commit e0b3c9e2945a581c6020263bd32a2d80f0f5a269
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-03-06

    man: add missing deamons

    https://bugzilla.gnome.org/show_bug.cgi?id=745731

M	man/gvfs.xml

commit 26c3dc3986760483625262a4a3564f1696f829b3
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-03-09

    metatree: always clear fd to -1

    meta_tree_clear clears fd to 0 currently, however it should be set
    to -1
    to avoid risk that fd 0 is closed, when meta_tree_clear is called
    twice.

    https://bugzilla.gnome.org/show_bug.cgi?id=598561

M	metadata/metatree.c

commit e8180f4a675e6166261edbd847c08bf725d42047
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2015-03-08

    Updated Italian translation

M	po/it.po

commit fafdb7d1fa61c991ad8f640f2458bcd67f65aa4b
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-03-08

    nfs: Handle NULL hostname

    Return an error if the hostname is NULL rather than crashing.

M	daemon/gvfsbackendnfs.c

commit c2546d4732c97c46d4c1a826b1b2c84855587ea4
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-02-28

    ftp: Fix dir listing for windows long dates

    Fix from upstream:
    http://hg.mozilla.org/mozilla-central/rev/e10a2ca070e6
    https://bugzilla.mozilla.org/show_bug.cgi?id=1061898

    https://bugzilla.gnome.org/show_bug.cgi?id=601583

M	daemon/ParseFTPList.c

commit 57caa7fad4bc4532366f557b5eda95357a23b101
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-02-28

    ftp: Fix FTP date parsing of midnight for DOS format

    Fix from upstream:
    http://hg.mozilla.org/mozilla-central/rev/2c21b94a7775
    https://bugzilla.mozilla.org/show_bug.cgi?id=961346

    https://bugzilla.gnome.org/show_bug.cgi?id=601583

M	daemon/ParseFTPList.c

commit 6a260ff696a54c1604fb3a53eac002b0c6d76ba4
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-02-28

    ftp: Update license of ParseFTPList

    Synced from upstream commit:
    http://hg.mozilla.org/mozilla-central/rev/f4157e8c4107
    https://bugzilla.mozilla.org/show_bug.cgi?id=716478

    https://bugzilla.gnome.org/show_bug.cgi?id=601583

M	daemon/ParseFTPList.c

commit 93fbba7d28c98101498975c53ba57e2527037710
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-02-28

    ftp: Fix directory parsing error on AIX.

    Fix from upstream:
    http://hg.mozilla.org/mozilla-central/rev/b623418ab1de
    https://bugzilla.mozilla.org/show_bug.cgi?id=543805

    https://bugzilla.gnome.org/show_bug.cgi?id=601583

M	daemon/ParseFTPList.c

commit 3b568ef0ab8d6119b3a28d0632c7967286c97f04
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2015-03-08

    Updated Korean translation

M	po/ko.po

commit 106655246a4e08b0a09cafedc7e43e61235cd20d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-03-05

    Updated Polish translation

M	po/pl.po

commit 606ef241fb8677528bd5d5526854658f0f298a2c
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-03-04

    Remove obsolte obexftp code

M	INSTALL
M	client/test-uri-utils.c
M	configure.ac
M	daemon/.gitignore
M	daemon/Makefile.am
D	daemon/gvfsbackendobexftp-cap-parser.c
D	daemon/gvfsbackendobexftp-cap-parser.h
D	daemon/gvfsbackendobexftp-fl-parser.c
D	daemon/gvfsbackendobexftp-fl-parser.h
D	daemon/gvfsbackendobexftp.c
D	daemon/gvfsbackendobexftp.h
D	daemon/obexftp-marshal.list
D	daemon/obexftp.mount.in
M	man/gvfs.xml
M	po/POTFILES.in

commit 56326e463a56afa0e632baad4c94faa7aa154486
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-02-20

    metadata: return if meta_tree_refresh failed

    G_UNLOCK is called twice if meta_tree_refresh fails and also
    concurrent
    access is possible on cached_trees. However this isn't problem
    currently,
    because meta_tree_lookup_by_name is always called with for_write=FALSE
    (except for meta-set testing utility), so this if statement is
    never issued.

    https://bugzilla.gnome.org/show_bug.cgi?id=598561

M	metadata/metatree.c

commit 8fdf64272ec47315cdd3e12d1aa628ad3bb837bc
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-02-27

    afp: exit silently if connection closed

    Commit c15ec62 introduced exit for G_IO_ERROR_CLOSED, however we
    should check also for G_IO_ERROR_CONNECTION_CLOSED.

    Bump GLib dependency to 2.43.2, where the error was introduced.

    https://bugzilla.gnome.org/show_bug.cgi?id=710490

M	configure.ac
M	daemon/gvfsafpconnection.c

commit bccf6a229448ed944963095b673adc5f13649b12
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-01-15

    dav: do not set "application/octet-stream" mime type

    Mime type octet-stream is set when writing since commit 635c3b5,
    because soup_message_set_request requires to be called with mime type
    and we don't know it. Unfortunatelly some servers returns this mime
    type for written files instead of real mime type. Use
    soup_message_body_append instead without mimetype to fix this issue.

    https://bugzilla.gnome.org/show_bug.cgi?id=687757

M	daemon/gvfsbackenddav.c

commit 2654c6cd539eee0820617ad5923cd607d93834db
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2015-03-01

    Updated Swedish translation

M	po/sv.po

commit 13606a93ac212d0fb5033fae197c555f921a5ae2
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2015-02-28

    Updated Lithuanian translation

M	po/lt.po

commit a8be6f8a9e09050cb7a4d95735f31b67f9fd0e78
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-02-28

    Updated Slovak translation

M	po/sk.po

commit 7a073be01a6a3a1fd5ed977bc425c83ef41a8c24
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	2015-02-26

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit b2fc4e77db41e264fb6623a8d920fce49fbd94a7
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:	2015-02-26

    Updated Greek translation

M	po/el.po

commit af421a2edcbfaf712139305200a894180de61535
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2015-02-25

    Updated Kazakh translation

M	po/kk.po

commit c8dd1b83ae092186de519c4c563ebabddec08610
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:	2015-02-25

    Updated Galician translations

M	po/gl.po

commit 1b5218a992331fb44a17292a9e96f3ee9ec1d5bf
Author: Claude Paroz <claude@2xlibre.net>
Date:	2015-02-24

    Updated French translation

M	po/fr.po

commit 64c96f32fb98ca6009db3c7d11985c028bc9c438
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-02-21

    Updated Greek translation

M	po/el.po

commit 4a7e1fa3757814a6ea2a201c0dea36eb0882b9d9
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2015-02-21

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 9f14d0e726e517062820449b9fecf47477c8ecaa
Author: Alexander Larsson <alexl@redhat.com>
Date:	2015-02-20

    proxy volume monitor: Drop init warning if gvfs dbus service is
    not installed

    This caused make check to fail in gtk+

M	monitor/proxy/gproxyvolumemonitor.c

commit 5a4cc41acbf026fd640e16f6323482fb366bfb19
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-02-01

    test: Support /tmp on the same partition as test home

    Fix a test failure in test_file_in_system where it fails if /tmp
    is the
    same partition as $XDG_DATA_HOME by looking in a different place
    for the
    trashed item.

    https://bugzilla.gnome.org/show_bug.cgi?id=743820

M	test/gvfs-test

commit f853403f050dde5df5a14c73bb61ec4f0553e64c
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2015-02-17

    Updated Hebrew translation
